Bug 44549 - Ide Shuts down: System.ArgumentException: Item has already been added. Key in dictionary: 'XamlG' Key being added: 'XamlG'
Summary: Ide Shuts down: System.ArgumentException: Item has already been added. Key in...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General (show other bugs)
Version: 6.1.0 (C8)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: (C9)
Assignee: Ankit Jain
URL:
Depends on:
Blocks:
 
Reported: 2016-09-21 02:53 UTC by Cliff Cawley
Modified: 2016-12-09 06:47 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
IdeLog (138.13 KB, text/plain)
2016-09-21 02:53 UTC, Cliff Cawley
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Cliff Cawley 2016-09-21 02:53:38 UTC
Created attachment 17624 [details]
IdeLog

I seem to be regularly getting the error:

System.ArgumentException: Item has already been added. Key in dictionary: 'XamlG'  Key being added: 'XamlG'

When I'm creating new classes or folders in the solution viewer. This causes Xamarin Studio to terminate and I have to restart it.

I'm not sure exactly what causes it, just that it happens quite regularly.

I've attached the full ide log which has callstacks.
Comment 1 Greg Munn 2016-11-16 20:23:31 UTC
Ankit, does this look like a mono / msbuild bug?
Comment 2 Ankit Jain 2016-11-16 23:01:15 UTC
PR: https://github.com/mono/mono/pull/3979
Comment 4 Greg Munn 2016-11-17 18:49:51 UTC
Thanks Ankit.
Comment 5 Danish Akhtar 2016-12-09 06:47:51 UTC
I have checked this issue with latest C9 builds and observed that I am successfully able to create new classes or folders in the solution viewer.

Screencast for the same: http://www.screencast.com/t/jITSIYgw4

I have also tried to reproduce this issue with builds mentioned in ide log but not able  to reproduce it. 

As of now I am closing this issue. Please feel free to reopen it, if you will encounter this issue again.

Thanks!

Env info: https://gist.github.com/danish360/c2be8ca442ca628158d03081cec0bf3b